StringSwitcher.Generator (cglib (Version 2.2.2))
Date: 2024-01-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.util
Class StringSwitcher.Generator

    java.lang.Object
      net.sf.cglib.core.AbstractClassGenerator
          net.sf.cglib.util.StringSwitcher.Generator

All Implemented Interfaces:
  ClassGenerator

Enclosing class:
  StringSwitcher

    public static class StringSwitcher.Generator

extends AbstractClassGenerator

Constructor Summary
`StringSwitcher.Generator()`

Method Summary
`StringSwitcher` | `create()` Generate the `StringSwitcher`.
`void` | `generateClass(org.objectweb.asm.ClassVisitor v)`
`void` | `setFixedInput(boolean fixedInput)` Configure how unknown String keys will be handled.
`void` | `setInts(int[] ints)` Set the array of integer results.
`void` | `setStrings(java.lang.String[] strings)` Set the array of recognized Strings.

Methods inherited from class net.sf.cglib.core.AbstractClassGenerator
`getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringSwitcher.Generator

    public StringSwitcher.Generator()

Method Detail

### setStrings

    public void setStrings(java.lang.String[] strings)

  Set the array of recognized Strings.

  Parameters:
    `strings` - the array of String keys; must be the same length as the value array
  See Also:
    `setInts(int[])`

### setInts

    public void setInts(int[] ints)

  Set the array of integer results.

  Parameters:
    `ints` - the array of integer results; must be the same length as the key array
  See Also:
    `setStrings(java.lang.String[])`

### setFixedInput

    public void setFixedInput(boolean fixedInput)

  Configure how unknown String keys will be handled.

  Parameters:
    `fixedInput` - if false, an unknown key will be returned from `StringSwitcher.intValue(java.lang.String)` as `-1`; if true, the result will be undefined, and the resulting code will be faster

### create

    public StringSwitcher create()

  Generate the `StringSwitcher`.

### generateClass

    public void generateClass(org.objectweb.asm.ClassVisitor v)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation